﻿@{
    ViewBag.Title = "DemoConversion";
    Layout = "~/Views/Shared/_Layout.cshtml";
}
@section scripts
{
    <script src="@Url.Content("~/Scripts/jquery.validate.min.js")" type="text/javascript"></script>
    <script src="@Url.Content("~/Scripts/jquery.validate.unobtrusive.min.js")" type="text/javascript"></script>
    <script type="text/javascript">
        $(document).ready(function () {
            $("#txtfdate").datepicker();
            $("#txtdate").datepicker();
            $("#btnShowReport").click(function () {
                var dt1 = $("#txtfdate").val();
                var dt2 = $("#txtdate").val();
                var format = $("#format").val();
                var type = $("#type").val();

                var Printtype = $("#Printtype option:selected").val();
                var Status = $("#OptnStatus option:selected").val();

                var a = document.createElement('a');
                a.href = '/MaEnquiry/DemoConversion?dt1=' + dt1 + '&dt2=' + dt2 + '&type=' + format + '&groupchoice=' + type + '&Printtype=' + Printtype + '&Status=' + Status;
                a.target = '_blank';
                document.body.appendChild(a);
                a.click();

            });
        });
    </script>
    <script type="text/javascript">
        $("select[id=format]").css("width", "120px");
        $("select[id=type]").css("width", "150px");
        $("select[id=OptnStatus]").css("width", "100px");
        $("select[id=Printtype]").css("width", "100px");

    </script>
}
<h2>
    Demo Conversion
</h2>
<div class="header">
    <div class="stats">
    </div>
    <h1 class="page-title">
        Demo Conversion Report
    </h1>
</div>
<ul class="breadcrumb">
    <li><a href="/Home/Index">Home</a> <span class="divider">/</span></li>
    <li class="active">Dashboard</li>
</ul>
<table width="100%">
    <tr>
        <td>
            <table>
                <tr>
                    <td>
                        From Date
                    </td>
                    <td>
                        To Date
                    </td>
                    <td>Conv./NonConv.</td>
                    <td>Type</td>
                    <td> Status</td>
                    <td></td>
                    <td></td>
                </tr>
                <tr>
                    <td>
                        <input type="text" id="txtfdate" style="width:150px" value="@ViewBag.fdate" />
                    </td>
                    <td>
                        <input type="text" id="txtdate" style="width:150px" value="@ViewBag.tdate" />
                    </td>
                    <td>
                        <select id="format">
                            <option value="All">All</option>
                            <option value="Converted">Converted</option>
                            <option value="UnConverted">Non-Converted</option>
                        </select>
                    </td>
                    <td>
                        <select id="type">
                            <option value="All">All</option>
                            <option value="FLYER">FLYER</option>
                            <option value="ASPIRANT">ASPIRANT</option>
                            <option value="GRAMMAR">GRAMMAR</option>
                            <option value="ENDEAVOUR">ENDEAVOUR</option>
                            <option value="STARTER">STARTER</option>
                            <option value="PTE">PTE</option>
                        </select>
                    </td>

                    <td>
                        <select id="OptnStatus">
                            <option value="All">All</option>
                            <option value="Open">Open</option>
                            <option value="Close">Close</option>
                        </select>
                    </td>


                    <td>
                        <select id="Printtype">
                            <option value="PDF">PDF</option>
                            <option value="Excel">Excel</option>
                        </select>
                    </td>

                    <td valign="top">
                        <input type="button" value="Show Report" class="btn btn-primary" id="btnShowReport" />
                    </td>
                </tr>
            </table>
        </td>
    </tr>
    <tr>
        <td></td>
    </tr>
</table>
